Name:           perl-Authen-SCRAM
Version:        0.005
Release:        3%{?dist}
Summary:        Salted Challenge Response Authentication Mechanism (RFC 5802)
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Authen-SCRAM/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Authen-SCRAM-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Authen::SASL::SASLprep)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Crypt::URandom)
BuildRequires:  perl(Encode)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Moo) >= 1.001000
BuildRequires:  perl(Moo::Role) >= 1.001000
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(PBKDF2::Tiny) >= 0.003
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Types::Standard)
# Optional run-time:
# String::Compare::ConstantTime 0.310 do not build-require to exercise
# fall-back code.
# Tests:
BuildRequires:  perl(base)
# CPAN::Meta not useful
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Keep String::Compare::ConstantTime 0.310 optional

%description
These Perl modules implement the Salted Challenge Response Authentication
Mechanism (SCRAM) from RFC 5802.

%prep
%setup -q -n Authen-SCRAM-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-2
- Perl 5.22 rebuild

* Fri Mar 20 2015 Petr Pisar <ppisar@redhat.com> 0.005-1
- Specfile autogenerated by cpanspec 1.78.
